Orxonox: OIS::Pov Class Reference

# OIS::Pov Class Reference

POV / HAT Joystick component. More...

`#include <src/ois/OISJoyStick.h>`

Inheritance diagram for OIS::Pov:

List of all members.

## Public Member Functions

| Pov ()

## Public Attributes

int | direction

## Static Public Attributes

static const int | Centered = 0x00000000
static const int | East = 0x00000100
static const int | North = 0x00000001
static const int | NorthEast = 0x00000101
static const int | NorthWest = 0x00001001
static const int | South = 0x00000010
static const int | SouthEast = 0x00000110
static const int | SouthWest = 0x00001010
static const int | West = 0x00001000

## Detailed Description

POV / HAT Joystick component.

## Constructor & Destructor Documentation

OIS::Pov::Pov | ( |  | ) | `[inline]`

## Member Data Documentation

const int OIS::Pov::Centered = 0x00000000`[static]`

Referenced by OIS::Win32JoyStick::_changePOV(), and OIS::JoyStickState::clear().

int OIS::Pov::direction

Referenced by OIS::Win32JoyStick::_changePOV(), and OIS::LinuxJoyStick::capture().

const int OIS::Pov::East = 0x00000100`[static]`

Referenced by OIS::Win32JoyStick::_changePOV(), OIS::LinuxJoyStick::capture(), and orxonox::InputManager::povMoved().

const int OIS::Pov::North = 0x00000001`[static]`

Referenced by OIS::Win32JoyStick::_changePOV(), OIS::LinuxJoyStick::capture(), and orxonox::InputManager::povMoved().

const int OIS::Pov::NorthEast = 0x00000101`[static]`

Referenced by OIS::Win32JoyStick::_changePOV().

const int OIS::Pov::NorthWest = 0x00001001`[static]`

Referenced by OIS::Win32JoyStick::_changePOV().

const int OIS::Pov::South = 0x00000010`[static]`

Referenced by OIS::Win32JoyStick::_changePOV(), OIS::LinuxJoyStick::capture(), and orxonox::InputManager::povMoved().

const int OIS::Pov::SouthEast = 0x00000110`[static]`

Referenced by OIS::Win32JoyStick::_changePOV().

const int OIS::Pov::SouthWest = 0x00001010`[static]`

Referenced by OIS::Win32JoyStick::_changePOV().

const int OIS::Pov::West = 0x00001000`[static]`

Referenced by OIS::Win32JoyStick::_changePOV(), OIS::LinuxJoyStick::capture(), and orxonox::InputManager::povMoved().

The documentation for this class was generated from the following file:

- src/ois/OISJoyStick.h